=head1 NAME

Goo::Canvas::ImageModel

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemModelSimple
       +----Goo::Canvas::ImageModel



=cut

=head1 INTERFACES

  Goo::Canvas::ItemModel



=cut


=head1 METHODS

=head2 itemmodel = Goo::Canvas::ImageModel-E<gt>B<new> ($parent, $pixbuf, $x, $y, ...)

=over

=item * $parent (Goo::Canvas::ItemModel) 

=item * $pixbuf ((unknown)) 

=item * $x (double) 

=item * $y (double) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'height' (double : default 0 : readable / writable)

The height of the image

=item 'pattern' (Goo::Cairo::Pattern : default undef : readable / writable)

The cairo pattern to paint

=item 'pixbuf' (Gtk2::Gdk::Pixbuf : default undef : writable)

The GdkPixbuf to display

=item 'scale-to-fit' (boolean : default false : readable / writable)

If the image is scaled to fit the width and height settings

=item 'width' (double : default 0 : readable / writable)

The width of the image

=item 'x' (double : default 0 : readable / writable)

The x coordinate of the image

=item 'y' (double : default 0 : readable / writable)

The y coordinate of the image

=back



=cut


=head1 SEE ALSO

L<Glib::Object>, L<Goo::Canvas::ItemModelSimple>


=cut


=head1 COPYRIGHT


Copyright (C) 2015 Gtk2-Perl Team




=cut

